Module | Tk::Img

In:

tk/lib/tkextlib/tkimg.rb
tk/lib/tkextlib/tkimg/xpm.rb
tk/lib/tkextlib/tkimg/xbm.rb
tk/lib/tkextlib/tkimg/window.rb
tk/lib/tkextlib/tkimg/tiff.rb
tk/lib/tkextlib/tkimg/tga.rb
tk/lib/tkextlib/tkimg/sun.rb
tk/lib/tkextlib/tkimg/sgi.rb
tk/lib/tkextlib/tkimg/ps.rb
tk/lib/tkextlib/tkimg/ppm.rb
tk/lib/tkextlib/tkimg/png.rb
tk/lib/tkextlib/tkimg/pixmap.rb
tk/lib/tkextlib/tkimg/pcx.rb
tk/lib/tkextlib/tkimg/jpeg.rb
tk/lib/tkextlib/tkimg/ico.rb
tk/lib/tkextlib/tkimg/gif.rb
tk/lib/tkextlib/tkimg/bmp.rb

### Methods

package_name package_version

### Classes and Modules

Module Tk::Img::BMP
Module Tk::Img::GIF
Module Tk::Img::ICO
Module Tk::Img::JPEG
Module Tk::Img::PCX
Module Tk::Img::PIXMAP
Module Tk::Img::PNG
Module Tk::Img::PPM
Module Tk::Img::PS
Module Tk::Img::SGI
Module Tk::Img::SUN
Module Tk::Img::TGA
Module Tk::Img::TIFF
Module Tk::Img::WINDOW
Module Tk::Img::XBM
Module Tk::Img::XPM

### Constants

PACKAGE_NAME | = | 'Img'.freeze

### Public Class methods

package_name()

[Source]

    # File tk/lib/tkextlib/tkimg.rb, line 21
        def self.package_name
          PACKAGE_NAME
        end

package_version()

[Source]

    # File tk/lib/tkextlib/tkimg.rb, line 25
        def self.package_version
          begin
            TkPackage.require('Img')
          rescue
            ''
          end
        end

[Validate]